eoExternalInit(3)

NAME
eoExternalInit - Initialization of external struct, ctor expects a function of the following signature:.

SYNOPSIS

#include <eoExternalOpFunctions.h>

Inherits eoInit< ExternalEO >.

  Public Member Functions
eoExternalInit (External(*_init)(void))
void operator() (ExternalEO &_eo)
The pure virtual function that needs to be implemented by the subclass.

  Private Attributes
External(* init )(void)

Detailed Description

  template<class F, class External, class ExternalEO = eoExternalEO<F, External>> class eoExternalInit< F, External, ExternalEO >
Initialization of external struct, ctor expects a function of the following signature:. External func();

Where External is the user defined struct or class

Definition at line 45 of file eoExternalOpFunctions.h.

Author

Generated automatically by Doxygen for EO from the source code.